# `AboutDialog`

digraph inheritancee68ecc9197 { bgcolor=transparent; rankdir=UD; ratio=compress; size="8.0, 12.0"; "AboutDialog" [URL="#taurus.qt.qtgui.help.AboutDialog",color=dodgerblue1,fillcolor=white,fontcolor=black,fontname="Vera Sans, DejaVu Sans, Liberation Sans, Arial, Helvetica, sans",fontsize=10,height=0.5,shape=box,style=rounded,target="_top",tooltip="Simple dialog to display typical About <application> dialog."]; "QDialog" -> "AboutDialog" [arrowsize=0.5,style="setlinewidth(0.5)"]; "QDialog" [color=dodgerblue1,fillcolor=white,fontcolor=black,fontname="Vera Sans, DejaVu Sans, Liberation Sans, Arial, Helvetica, sans",fontsize=10,height=0.5,shape=box,style=rounded,tooltip="QDialog(parent: QWidget|None = None, flags: Qt.WindowFlags|Qt.WindowType = Qt.WindowFlags())"]; "QWidget" -> "QDialog" [arrowsize=0.5,style="setlinewidth(0.5)"]; "QObject" [color=dodgerblue1,fillcolor=white,fontcolor=black,fontname="Vera Sans, DejaVu Sans, Liberation Sans, Arial, Helvetica, sans",fontsize=10,height=0.5,shape=box,style=rounded,tooltip="QObject(parent: QObject|None = None)"]; "wrapper" -> "QObject" [arrowsize=0.5,style="setlinewidth(0.5)"]; "QPaintDevice" [color=dodgerblue1,fillcolor=white,fontcolor=black,fontname="Vera Sans, DejaVu Sans, Liberation Sans, Arial, Helvetica, sans",fontsize=10,height=0.5,shape=box,style=rounded,tooltip="QPaintDevice()"]; "simplewrapper" -> "QPaintDevice" [arrowsize=0.5,style="setlinewidth(0.5)"]; "QWidget" [color=dodgerblue1,fillcolor=white,fontcolor=black,fontname="Vera Sans, DejaVu Sans, Liberation Sans, Arial, Helvetica, sans",fontsize=10,height=0.5,shape=box,style=rounded,tooltip="QWidget(parent: QWidget|None = None, flags: Qt.WindowFlags|Qt.WindowType = Qt.WindowFlags())"]; "QObject" -> "QWidget" [arrowsize=0.5,style="setlinewidth(0.5)"]; "QPaintDevice" -> "QWidget" [arrowsize=0.5,style="setlinewidth(0.5)"]; "simplewrapper" [color=dodgerblue1,fillcolor=white,fontcolor=black,fontname="Vera Sans, DejaVu Sans, Liberation Sans, Arial, Helvetica, sans",fontsize=10,height=0.5,shape=box,style=rounded]; "wrapper" [color=dodgerblue1,fillcolor=white,fontcolor=black,fontname="Vera Sans, DejaVu Sans, Liberation Sans, Arial, Helvetica, sans",fontsize=10,height=0.5,shape=box,style=rounded]; "simplewrapper" -> "wrapper" [arrowsize=0.5,style="setlinewidth(0.5)"]; }

class AboutDialog(parent=None)

  Simple dialog to display typical About <application> dialog. It will create a Dialog with the title being Dialog + <app name> and a default text combining the application name and version, organization name and domain.

  This behaviour can be changed by setting the dialog window title (`setWindowTitle()`) and content (`setText()`, `setHtml()`)

  Example usage:

      from taurus.external.qt import Qt
      from taurus.qt.qtgui.help import AboutDialog

      app = Qt.QApplication([])
      app.setApplicationName("Example GUI")
      app.setApplicationVersion("1.2.3")
      app.setOrganizationName("Taurus")
      app.setOrganizationDomain("http://www.taurus-scada.org/")
      about_dialog = AboutDialog()
      pixmap = Qt.QIcon.fromTheme("folder-open").pixmap(64, 64)
      about_dialog.setPixmap(pixmap)
      about_dialog.exec_()

  Import from `taurus.qt.qtgui.help` as:

      from taurus.qt.qtgui.help import AboutDialog

  getHtml()

    Gets the current dialog HTML text.

    Returns:

      the current dialog HTML text.

    Return type:

      str

  getPixmap()

    Gets the current pixmap.

    Returns:

      the current dialog pixmap

    Return type:

      Qt.QPixmap

  classmethod getQtDesignerPluginInfo()
  getSource()

    Gets the current dialog document source.

    Returns:

      the current dialog document source.

    Return type:

      Qt.QUrl

  html

    This property holds the current dialog HTML

    Access functions:

    > - `getHtml()`

    > - `setHtml()`

    > - `resetHtml()`

  loadUi(filename=None, path=None)
  pixmap

    This property holds the current dialog pixmap

    Access functions:

    > - `getPixmap()`

    > - `setPixmap()`

    > - `resetPixmap()`

  resetHtml()

    Resets the dialog HTML to an empty HTML document

  resetPixmap()

    Resets the dialog pixmap to a Null pixmap.

  setHtml(html)

    Sets the dialog HTML text.

    Parameters:

      text (str) – new HTML text

  setPixmap(pixmap)

    Sets the dialog pixmap

    Parameters:

      text (Qt.QPixmap) – new pixmap

  setSource(source)

    Sets the dialog document source.

    Parameters:

      text (Qt.QUrl) – new document source

  setText(text)

    Sets the dialog text.

    Parameters:

      text (str) – new text

  source

    This property holds the current dialog document source

    Access functions:

    > - `getSource()`

    > - `setSource()`